<mamecheat version="1">

  <cheat desc="Get Double Flawless Bonus">
    <script state="run">
      <action>maincpu.pb@104D020=02</action>
    </script>
  </cheat>

  <cheat desc="Select current level">
    <parameter min="1" max="6" step="1"/>
    <script state="change">
      <action>maincpu.pb@104D520=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select next Level">
    <parameter min="1" max="6" step="1"/>
    <script state="change">
      <action>maincpu.pb@104D520=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@104D000=A1</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@104D000=00</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1"> <comment>Enable this character select cheat after the level select screen or the game may crash!!</comment>
    <parameter>
      <item value="0x00">Johnny Cage</item>
      <item value="0x01">Kano</item>
      <item value="0x02">Raiden</item>
      <item value="0x03">Liu Kang</item>
      <item value="0x04">Scorpion</item>
      <item value="0x05">Sub-Zero</item>
      <item value="0x06">Sonya Blade</item>
      <item value="0x07">#Goro</item>
      <item value="0x08">#Shang Tsung</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@104CF90=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@104D2E0=A1</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@104D2E0=00</action>
      <action>maincpu.pb@104D560=02</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2"> <comment>Enable this character select cheat after the level select screen or the game may crash!!</comment>
    <parameter>
      <item value="0x00">Johnny Cage</item>
      <item value="0x01">Kano</item>
      <item value="0x02">Raiden</item>
      <item value="0x03">Liu Kang</item>
      <item value="0x04">Scorpion</item>
      <item value="0x05">Sub-Zero</item>
      <item value="0x06">Sonya Blade</item>
      <item value="0x07">#Goro</item>
      <item value="0x08">#Shang Tsung</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@104D270=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
